Withdraw Credits/Points/Gifts
curl --request POST \
--url https://staging-api.covver.io/api/ext/v1/people/withdraw \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collectionId": "<string>",
"emails": [
"<string>"
],
"amount": 123,
"companyId": "<string>"
}
'import requests
url = "https://staging-api.covver.io/api/ext/v1/people/withdraw"
payload = {
"collectionId": "<string>",
"emails": ["<string>"],
"amount": 123,
"companyId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
collectionId: '<string>',
emails: ['<string>'],
amount: 123,
companyId: '<string>'
})
};
fetch('https://staging-api.covver.io/api/ext/v1/people/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"numAffectedPeople": 123
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}{
"message": "<string>",
"errorCode": "<string>",
"statusCode": 123,
"error": "<unknown>"
}People
Withdraw Credits/Points/Gifts
Withdraw credits/points or gifts from your people
POST
/
api
/
ext
/
v1
/
people
/
withdraw
Withdraw Credits/Points/Gifts
The type of reward is determined by the collection - whether it’s a gift store, or a credits store
If you withdraw more credits/gifts than a person has, their balance will be 0
If you want to withdraw all credits/gifts, just pass a very high amount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Default Response
⌘I

